﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Documents.Fixed;
using System.IO;
using Telerik.Windows.Documents.Fixed.FormatProviders;

namespace PdfViewerLoadedEvent
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.viewer.DocumentSource = new PdfDocumentSource(this.GetResource("pdf1.pdf"), FormatProviderSettings.ReadOnDemand);
            this.viewer.DocumentSource.Loaded += this.DocumentSource_Loaded;
        }

        private void DocumentSource_Loaded(object sender, EventArgs e)
        {
            MessageBox.Show("Loaded!!!");
        }

        private Stream GetResource(string name)
        {
            return Application.GetResourceStream(new Uri(string.Format("PdfViewerLoadedEvent;component/{0}", name), UriKind.Relative)).Stream;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.viewer.DocumentSource = new PdfDocumentSource(this.GetResource("pdf2.pdf"));
        }
    }
}
